%define anolis_release 5
%define mod_name Pod-Escapes
%bcond_without tests

Name:           perl-%{mod_name}
Epoch:          1
Version:        1.07
Release:        %{anolis_release}%{?dist}
Summary:        Resolve POD escape sequences
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/%{mod_name}-%{version}.tar.gz

BuildRequires:  make 
BuildRequires:  findutils coreutils
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(strict) perl(ExtUtils::MakeMaker)
BuildRequires:  perl(warnings) perl(vars) perl(Exporter)
BuildRequires:  perl(utf8) perl(Test)

BuildArch:      noarch

%description
This module provides things that are useful in decoding Pod E<...>
sequences. Presumably, it should be used only by Pod parsers and/or
formatters.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{mod_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
for f in $(find %{buildroot} -type f -name .packlist) ; do
    rm -rf "$f"
done
%{_fixperms} %{buildroot}/*

%check
%if %{with tests}
make test
%endif

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Thu Apr 13 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1:1.07-5
- Optimise spec file

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.07-4
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:1.07-3
- rebuild with perl 5.36.0

* Fri Oct 14 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.07-2
- add doc package

* Mon Mar 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.07-1
- Init from upstream version 1:1.07

